<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/main.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">main.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="main_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;QGuiApplication&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;QQmlApplicationEngine&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;QQmlContext&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="speechtotext_8h.html">include/speechtotext.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="database_8h.html">include/database.h</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="levenshtein_8h.html">include/levenshtein.h</a>&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="settings_8h.html">include/settings.h</a>&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">   22</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;{</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling); <span class="comment">// Позволяет автоматически масштабировать интерфейс</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    QGuiApplication app(argc, argv);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="comment">//QCoreApplication::setAttribute(Qt::AA_UseOpenGLES);</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="comment">//QCoreApplication::setAttribute(Qt::AA_UseSoftwareOpenGL);</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    app.setOrganizationName(<span class="stringliteral">&quot;DeskHelper&quot;</span>);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    app.setOrganizationDomain(<span class="stringliteral">&quot;dev-dev.com&quot;</span>);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classDatabase.html">Database</a> db;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="comment">//NotificationArea na;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">if</span> (!db.<a class="code" href="classDatabase.html#a5255f38c4d98f1217d47d644f985f7f8">isOpen</a>())</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to open the database. Shutdown.&quot;</span>);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordflow">if</span> (!db.<a class="code" href="classDatabase.html#abc64b0e912e9e4136f89da58ef76afd1">createDatabaseTables</a>())</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to create database. Shutdown.&quot;</span>);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classSettings.html">Settings</a> settings;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    settings.<a class="code" href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">loadSettings</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classSpeechToText.html">SpeechToText</a> stt(settings.<a class="code" href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">getAppActivation</a>()); <span class="comment">// Объявление классов для его дальнейшего использования</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    QQmlApplicationEngine engine; <span class="comment">// Объявление класса для работы с qml</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QQmlContext* context = engine.rootContext();</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="comment">//qmlRegisterType&lt;Database&gt;(&quot;db&quot;, 1, 1, &quot;db&quot;);</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="comment">//context-&gt;setContextProperty(&quot;na&quot;, &amp;na);</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;db&quot;</span>, &amp;db);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;stt&quot;</span>, &amp;stt); <span class="comment">// Создание видимости qml-ем экземпляра класса SpeechToText</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;settings&quot;</span>, (QObject*)&amp;settings);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    stt.<a class="code" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">setGlobalShortcuts</a>(db.<a class="code" href="classDatabase.html#aa8819825a69009f6d982fffa434bb5c2">receiveShortcuts</a>());</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">const</span> QUrl url(QStringLiteral(<span class="stringliteral">&quot;qrc:/Main.qml&quot;</span>)); <span class="comment">// Объявление url main-файла qml</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    QObject::connect(&amp;engine, &amp;QQmlApplicationEngine::objectCreated,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                     &amp;app, [url](QObject *obj, <span class="keyword">const</span> QUrl &amp;objUrl) {</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">if</span> (!obj &amp;&amp; url == objUrl)</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            QCoreApplication::exit(-1);</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    }, Qt::QueuedConnection);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    engine.load(url);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    app.setWindowIcon(QIcon(<span class="stringliteral">&quot;:/resources/img/trayicon.png&quot;</span>));</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">return</span> app.exec();</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassSettings_html_a2d965ef0a054b61050811b416c896ed4"><div class="ttname"><a href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">Settings::loadSettings</a></div><div class="ttdeci">bool loadSettings()</div><div class="ttdoc">Загрузка настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00053">settings.cpp:53</a></div></div>
<div class="ttc" id="aclassSettings_html"><div class="ttname"><a href="classSettings.html">Settings</a></div><div class="ttdoc">Класс для хранения, загрузки и сохранения настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00011">settings.h:11</a></div></div>
<div class="ttc" id="asettings_8h_html"><div class="ttname"><a href="settings_8h.html">settings.h</a></div></div>
<div class="ttc" id="aclassDatabase_html_abc64b0e912e9e4136f89da58ef76afd1"><div class="ttname"><a href="classDatabase.html#abc64b0e912e9e4136f89da58ef76afd1">Database::createDatabaseTables</a></div><div class="ttdeci">bool createDatabaseTables()</div><div class="ttdoc">Создание таблиц</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00051">database.cpp:51</a></div></div>
<div class="ttc" id="aspeechtotext_8h_html"><div class="ttname"><a href="speechtotext_8h.html">speechtotext.h</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af2028342adc6bb316ddb74efc2e28913"><div class="ttname"><a href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">SpeechToText::setGlobalShortcuts</a></div><div class="ttdeci">void setGlobalShortcuts(QStringList list)</div><div class="ttdoc">Инициализация сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00086">speechtotext.cpp:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html"><div class="ttname"><a href="classSpeechToText.html">SpeechToText</a></div><div class="ttdoc">Класс для реализации конвертации звуковой информации в текстовую</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00023">speechtotext.h:23</a></div></div>
<div class="ttc" id="aclassDatabase_html_aa8819825a69009f6d982fffa434bb5c2"><div class="ttname"><a href="classDatabase.html#aa8819825a69009f6d982fffa434bb5c2">Database::receiveShortcuts</a></div><div class="ttdeci">QStringList receiveShortcuts()</div><div class="ttdoc">Получение из БД всех уникальных сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00497">database.cpp:497</a></div></div>
<div class="ttc" id="aclassDatabase_html"><div class="ttname"><a href="classDatabase.html">Database</a></div><div class="ttdoc">Класс для связи приложения и БД</div><div class="ttdef"><b>Definition:</b> <a href="database_8h_source.html#l00023">database.h:23</a></div></div>
<div class="ttc" id="adatabase_8h_html"><div class="ttname"><a href="database_8h.html">database.h</a></div></div>
<div class="ttc" id="aclassDatabase_html_a5255f38c4d98f1217d47d644f985f7f8"><div class="ttname"><a href="classDatabase.html#a5255f38c4d98f1217d47d644f985f7f8">Database::isOpen</a></div><div class="ttdeci">bool isOpen()</div><div class="ttdoc">Геттер для состояния БД: подключено/отключено</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00041">database.cpp:41</a></div></div>
<div class="ttc" id="alevenshtein_8h_html"><div class="ttname"><a href="levenshtein_8h.html">levenshtein.h</a></div></div>
<div class="ttc" id="amain_8cpp_html_a0ddf1224851353fc92bfbff6f499fa97"><div class="ttname"><a href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a></div><div class="ttdeci">int main(int argc, char *argv[])</div><div class="ttdoc">Точка входа в программу</div><div class="ttdef"><b>Definition:</b> <a href="main_8cpp_source.html#l00022">main.cpp:22</a></div></div>
<div class="ttc" id="aclassSettings_html_aa5d84019954f49bc30beb8b9b6827156"><div class="ttname"><a href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">Settings::getAppActivation</a></div><div class="ttdeci">QString getAppActivation()</div><div class="ttdoc">геттер для appActivation.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00220">settings.cpp:220</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
